## ros-one-rosparam-shortcuts 0.4.0-4jammy.20251023.0015

=== debian/changelog ===
ros-one-rosparam-shortcuts (0.4.0-4jammy.20251023.0015) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 23 Oct 2025 00:15:23 +0000

ros-one-rosparam-shortcuts (0.4.0-0jammy) jammy; urgency=high

  * bump cmake version (#13 <https://github.com/PickNikRobotics/rosparam_shortcuts/issues/13>)
    get rid of CMP0048 warning.
    https://github.com/ros-planning/geometric_shapes/pull/129
  * Contributors: Michael Görner

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 02 Jun 2020 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.3-0jammy) jammy; urgency=high

  * Switch run_depend to eigen_conversions. (#12 <https://github.com/PickNikRobotics/rosparam_shortcuts/issues/12>)
    Eigen is header-only (so no run_depend needed), but eigen_conversions
    has a library that needs to be pulled in at runtime.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 24 Sep 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.2-0jammy) jammy; urgency=high

  * Update to new ros_buildfarm workspace directory
  * Add get() for geometry_msgs::Pose
  * Contributors: Henning Kayser

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.1-0jammy) jammy; urgency=high

  * removing deprecated functions because catkin can't tell the difference between affine3d and isometry3d (#9 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/9>)
  * Travis badge fixup (#8 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/8>)
    * fixing travis and build tags
    * updating install instructions
    * adding melodic ci
  * Contributors: Mike Lautman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 12 Apr 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.0-0jammy) jammy; urgency=high

  * Deprecate Affine3d transforms and support Isometry3d (#7 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/7>)
  * Merge pull request #4 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/4> from PickNikRobotics/kinetic-devel-eigen-additions
    adding support for loading trajectories and loading quaternions
  * removing EigenSTL
  * adding support for loading trajectories and loading quaternions
  * Merge pull request #3 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/3> from gavanderhoorn/patch-1
    Fix minor typo in API doc link.
  * Fix minor typo in API doc link.
  * Contributors: Dave Coleman, G.A. vd. Hoorn, Henning Kayser, mike

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 10 Apr 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.2.1-0jammy) jammy; urgency=high

  * Fix Eigen3 include
  * Fix C++11 compiling method
  * Update Travis for Kinetic
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 28 Sep 2016 00:00:00 -0000

ros-one-rosparam-shortcuts (0.2.0-0jammy) jammy; urgency=high

  * Upgrade to Eigen3 per ROS Kinetic requirements
  * Converted to C++11 for ROS Kinetic
  * Removed deprecated functions
  * Improve documentation
  * fix typo
  * Added loading a vector to example
  * Contributors: Dave Coleman, Sammy Pfeiffer

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 29 Jun 2016 00:00:00 -0000

ros-one-rosparam-shortcuts (0.1.1-0jammy) jammy; urgency=high

  * Fixed CMake build
  * Ran roslint
  * Ran catkin lint
  * Updated example
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 18 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.1.0-0jammy) jammy; urgency=high

  * Deprecated long named functions in favor of short named functions
  * Removed redundant unsigned int function
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 17 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.7-0jammy) jammy; urgency=high

  * Added shortcut version of functions
  * Fix install
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 13 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.6-0jammy) jammy; urgency=high

  * Added example code
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 10 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.5-0jammy) jammy; urgency=high

  * Attempting to fix Eigen
  * Fix missing dependency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.4-0jammy) jammy; urgency=high

  * Attempt to fix Eigen include dir
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.3-0jammy) jammy; urgency=high

  * Added travis support
  * catkin lint cleanup
  * Switched travis to jade branch
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.2-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 03 Dec 2015 00:00:00 -0000

## ros-one-rosparam-shortcuts 0.4.0-4jammy.20260220.2115

=== debian/changelog ===
ros-one-rosparam-shortcuts (0.4.0-4jammy.20260220.2115) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 20 Feb 2026 21:15:19 +0000

## ros-one-rosparam-shortcuts 0.4.0-4noble.20250531.2144

=== debian/changelog ===
ros-one-rosparam-shortcuts (0.4.0-4noble.20250531.2144) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 31 May 2025 21:44:07 +0000

ros-one-rosparam-shortcuts (0.4.0-0noble) noble; urgency=high

  * bump cmake version (#13 <https://github.com/PickNikRobotics/rosparam_shortcuts/issues/13>)
    get rid of CMP0048 warning.
    https://github.com/ros-planning/geometric_shapes/pull/129
  * Contributors: Michael Görner

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 02 Jun 2020 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.3-0noble) noble; urgency=high

  * Switch run_depend to eigen_conversions. (#12 <https://github.com/PickNikRobotics/rosparam_shortcuts/issues/12>)
    Eigen is header-only (so no run_depend needed), but eigen_conversions
    has a library that needs to be pulled in at runtime.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Dave Coleman <davetcoleman@gmail.com>  Tue, 24 Sep 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.2-0noble) noble; urgency=high

  * Update to new ros_buildfarm workspace directory
  * Add get() for geometry_msgs::Pose
  * Contributors: Henning Kayser

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.1-0noble) noble; urgency=high

  * removing deprecated functions because catkin can't tell the difference between affine3d and isometry3d (#9 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/9>)
  * Travis badge fixup (#8 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/8>)
    * fixing travis and build tags
    * updating install instructions
    * adding melodic ci
  * Contributors: Mike Lautman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 12 Apr 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.3.0-0noble) noble; urgency=high

  * Deprecate Affine3d transforms and support Isometry3d (#7 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/7>)
  * Merge pull request #4 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/4> from PickNikRobotics/kinetic-devel-eigen-additions
    adding support for loading trajectories and loading quaternions
  * removing EigenSTL
  * adding support for loading trajectories and loading quaternions
  * Merge pull request #3 <https://github.com/picknikrobotics/rosparam_shortcuts/issues/3> from gavanderhoorn/patch-1
    Fix minor typo in API doc link.
  * Fix minor typo in API doc link.
  * Contributors: Dave Coleman, G.A. vd. Hoorn, Henning Kayser, mike

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 10 Apr 2019 00:00:00 -0000

ros-one-rosparam-shortcuts (0.2.1-0noble) noble; urgency=high

  * Fix Eigen3 include
  * Fix C++11 compiling method
  * Update Travis for Kinetic
  * Updated README
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 28 Sep 2016 00:00:00 -0000

ros-one-rosparam-shortcuts (0.2.0-0noble) noble; urgency=high

  * Upgrade to Eigen3 per ROS Kinetic requirements
  * Converted to C++11 for ROS Kinetic
  * Removed deprecated functions
  * Improve documentation
  * fix typo
  * Added loading a vector to example
  * Contributors: Dave Coleman, Sammy Pfeiffer

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 29 Jun 2016 00:00:00 -0000

ros-one-rosparam-shortcuts (0.1.1-0noble) noble; urgency=high

  * Fixed CMake build
  * Ran roslint
  * Ran catkin lint
  * Updated example
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 18 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.1.0-0noble) noble; urgency=high

  * Deprecated long named functions in favor of short named functions
  * Removed redundant unsigned int function
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 17 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.7-0noble) noble; urgency=high

  * Added shortcut version of functions
  * Fix install
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sun, 13 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.6-0noble) noble; urgency=high

  * Added example code
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 10 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.5-0noble) noble; urgency=high

  * Attempting to fix Eigen
  * Fix missing dependency
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 09 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.4-0noble) noble; urgency=high

  * Attempt to fix Eigen include dir
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.3-0noble) noble; urgency=high

  * Added travis support
  * catkin lint cleanup
  * Switched travis to jade branch
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 00:00:00 -0000

ros-one-rosparam-shortcuts (0.0.2-0noble) noble; urgency=high

  * Initial release
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 03 Dec 2015 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rosparam-shortcuts//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rosparam-shortcuts 0.4.0-4noble.20251023.0014

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosparam_shortcuts)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  cmake_modules
  eigen_conversions # TODO(davetcoleman) remove this dependency, only for build testing
  roslint
)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
    ${EIGEN3_INCLUDE_DIR}
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
  DEPENDS
    EIGEN3
)

include_directories(SYSTEM
  ${EIGEN3_INCLUDE_DIRS}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

###########
## Build ##
###########

add_library(${PROJECT_NAME}
  src/rosparam_shortcuts.cpp
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

## Example executable
add_executable(${PROJECT_NAME}_example src/example.cpp)
set_target_properties(${PROJECT_NAME}_example PROPERTIES OUTPUT_NAME example PREFIX "")
target_link_libraries(${PROJECT_NAME}_example
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Testing ##
#############

## Test for correct C++ source code
## To run: catkin bot --make-args roslint
roslint_cpp()

#############
## Install ##
#############

# Mark cpp header files for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

# Mark roslaunch files for installation
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.launch"
  PATTERN ".svn" EXCLUDE
)

# Mark config files for installation
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  FILES_MATCHING PATTERN "*.yaml"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-one-rosparam-shortcuts (0.4.0-4noble.20251023.0014) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 23 Oct 2025 00:14:11 +0000

=== debian/control ===
Source: ros-one-rosparam-shortcuts
Section: misc
Priority: optional
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-cmake-modules, ros-one-eigen-conversions, ros-one-roscpp, ros-one-roslint
Homepage: https://github.com/davetcoleman/rosparam_shortcuts
Standards-Version: 3.9.2

Package: ros-one-rosparam-shortcuts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-eigen-conversions, ros-one-roscpp
Description: Quickly load variables from rosparam with good command line error checking.

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
+		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-rosparam-shortcuts 0.4.0-4noble.20260220.2121

=== debian/changelog ===
ros-one-rosparam-shortcuts (0.4.0-4noble.20260220.2121) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 20 Feb 2026 21:21:13 +0000
